Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.fault
Class Soap12FaultSerializer

    java.lang.Object
      org.codehaus.xfire.fault.Soap12FaultSerializer

All Implemented Interfaces:
  MessageSerializer

    public class Soap12FaultSerializer

extends java.lang.Object
implements MessageSerializer

Constructor Summary
`Soap12FaultSerializer()`

Method Summary
`protected static java.lang.String` | `parseFaultCode(javax.xml.stream.XMLStreamReader reader, java.lang.String value)`
`void` | `readMessage(InMessage message, MessageContext context)`
`void` | `writeMessage(OutMessage message, javax.xml.stream.XMLStreamWriter writer, MessageContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Soap12FaultSerializer

    public Soap12FaultSerializer()

Method Detail

### readMessage

    public void readMessage(InMessage message,
                            MessageContext context)
                     throws XFireFault

  Specified by:
    `readMessage` in interface `MessageSerializer`
  Throws:
    `XFireFault`

### parseFaultCode

    protected static java.lang.String parseFaultCode(javax.xml.stream.XMLStreamReader reader,
                                                     java.lang.String value)

### writeMessage

    public void writeMessage(OutMessage message,
                             javax.xml.stream.XMLStreamWriter writer,
                             MessageContext context)
                      throws XFireFault

  Specified by:
    `writeMessage` in interface `MessageSerializer`
  Throws:
    `XFireFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.